#ifndef PIHISTO_H
#define PIHISTO_H

#include "histos.h"
#include "pidrawer.h"

class PIHisto : public PIDrawer {
public:
                     PIHisto(Histo* histo, bool ad=false);
  virtual           ~PIHisto();
  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
  virtual void       UpdateLimits();
  virtual void       DrawStats(PIGraphicUC* g);
  inline  Histo*     Histogram() { return(mHisto); }

protected:
  Histo* mHisto;
  bool mAdDO;
};

#endif
